CRMchat APIBeta
Telegram APIAccount

account.registerPasskey

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.registerPasskey

Complete passkey registration for the current account, see here » for more info on the full flow.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Complete passkey registration for the current account, see here » for more info on the full flow.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.registerPasskey" \  -H "Content-Type: application/json" \  -d '{    "params": {      "credential": {        "_": "inputPasskeyCredentialPublicKey",        "id": "string",        "rawId": "string",        "response": {          "_": "inputPasskeyResponseRegister",          "clientData": {            "_": "dataJSON",            "data": "string"          },          "attestationData": "string"        }      }    }  }'
{  "result": {    "_": "passkey",    "id": "string",    "name": "string",    "date": 0,    "softwareEmojiId": "string",    "lastUsageDate": 0  }}